Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Catoptromancy

Vanilla First Maps

Recommended Posts

I think it might be a good idea to have a vanilla MAP01 and E1M1. When players load a pwad on a non-boom port it would not be possible to start with the first map then idclev to a pwad map. Command-line becomes mandatory when using pwads on these types of ports.

MAP01 I think is vanilla already or it looks like it should be. E1M1 is really a classic Freedoom map, maybe swapped with E1M2? I remember some complaints about the E1M1 difficulty and this may solve those problems without messing with the map.

Share this post


Link to post

i agree e1m1 should be kept (as the new e1m2), its one of the maps that stay in memory even when others are forgotten

Share this post


Link to post

Yeah, this is a real problem when using vanilla engine. Just the other day I was playing School Doom with Freedoom IWAD and the game crashed on me because I didn't select the 3rd episode quickly enough... You can use FreeDM for Doom II maps, but with Doom maps you're kinda stuck.

Anyway, a few years ago, Shadow1013 modified Freedoom's E1M1 to be vanilla compatible:
http://doomworld.com/idgames/index.php?file=levels/doom/g-i/invotdam.zip

The other maps in that episode are nice too, but E1M7 has some problems. For one thing, it's just too hard from pistol start (even on HMP). There's also visplane overflow in start room (if you look outside left window at a certain angle). It looks like other people reported problems like getting stuck in places (read the comments section on that URL above).

But E1M1 is very solid at least, and most of the other maps are good too.

Share this post


Link to post

First map only needs to be "vanilla compatible" -- it can use some BOOM features that do not crash vanilla.

Same rule needs to apply to the first demo too, right?, since it starts only a few seconds after the game starts.

Share this post


Link to post

well map01 of i made to freedoom2 nd is already in the stable 0.9 is vannila compat but not deathmatch vannila compat since the deathmatch area use some special boom linedefs.

Share this post


Link to post

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
×